# TODO
# - bug: when logrotate.status is written truncated (due disk getting full) and
#   the line is partial, it will complain erronously that the line is too long
#   while it just doesn't have the second DATE column. and that error should be
#   ignored as warning not fatal as error.
#
# Conditional build:
%bcond_without	acl		# build without ACLs support
%bcond_without	selinux		# build without SELinux support
#
Summary:	Rotates, compresses, removes and mails system log files
Summary(de.UTF-8):	Rotiert, komprimiert und verschickt Systemlogs
Summary(es.UTF-8):	Hace el rutado, comprime y envía mail de logs del sistema
Summary(fr.UTF-8):	Fait tourner, compresse, et envoie par mail les connexions au système
Summary(pl.UTF-8):	System rotacji i kompresowania logów
Summary(pt_BR.UTF-8):	Rotaciona, comprime e envia mail de logs do sistema
Summary(ru.UTF-8):	Ротирует, компрессирует, удаляет и отправляет по почте лог-файлы
Summary(tr.UTF-8):	Sistem günlüklerini yönlendirir, sıkıştırır ve mektup olarak yollar
Summary(uk.UTF-8):	Ротує, компресує, видаляє та відправляє поштою лог-файли
Name:		logrotate
Version:	3.8.3
Release:	1
License:	GPL v2
Group:		Applications/System
Source0:	https://fedorahosted.org/releases/l/o/logrotate/%{name}-%{version}.tar.gz
# Source0-md5:	df67c8bda9139131d919931da443794d
Source1:	%{name}.conf
Source2:	%{name}.sysconfig
Patch0:		%{name}-cron.patch
Patch1:		%{name}-man.patch
Patch2:		tabooext.patch
URL:		https://fedorahosted.org/logrotate/
%{?with_acl:BuildRequires:	acl-devel}
%{?with_selinux:BuildRequires:	libselinux-devel}
BuildRequires:	popt-devel >= 1.3
Requires:	coreutils
Requires:	crondaemon
Requires:	filesystem >= 4.0-4
Requires:	gzip
Requires:	setup >= 2.4.6
Suggests:	/bin/mail
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		statdir		/var/lib/misc

%description
The logrotate utility is designed to simplify the administration of
log files on a system which generates a lot of log files. Logrotate
allows for the automatic rotation compression, removal and mailing of
log files. Logrotate can be set to handle a log file daily, weekly,
monthly or when the log file gets to a certain size. Normally,
logrotate runs as a daily cron job.

%description -l de.UTF-8
Logrotate vereinfacht die Verwaltung von Systemen, die sehr viele
Log-Dateien erzeugen, indem es das automatische Rotieren,
Komprimieren, Entfernen, und Senden von Log-Dateien ermöglicht. Jede
Log-Datei kann täglich, wöchentlich oder monatlich verarbeitet werden,
wenn sie zu groß wird.

%description -l es.UTF-8
Logrotate fue proyectado para facilitar la administración de sistemas
que generan gran número de archivos de log. Permite automatización en
la rotación, compresión, remoción y envío de mail de archivos de logs.
Cada archivo de log puede ser tratado diariamente, semanalmente,
mensualmente o cuanto crezca demasiado.

%description -l fr.UTF-8
Logrotate est conçu pour faciliter l'administration de systèmes qui
générent un grand nombre de fichiers de \"log\". Il permet le
roulement, la suppréssion la compression et l'envoi automatiques de
ces fichiers. Chaque fichier de \"log\" peut être pris en charge de
manière quotidienne, hebdomadaire, mensuelle, ou quand il devient trop
volumineux.

%description -l pl.UTF-8
Logrotate jest przeznaczony do łatwej administracji plikami logów.
Program ten pozwala na automatyczną kompresję logów. Może kontrolować
logi raz dziennie, raz na miesiąc, raz na tydzień lub wtedy kiedy
pliki z logami systemowymi są już duże.

%description -l pt_BR.UTF-8
Logrotate foi projetado para facilitar a administração de sistemas que
geram grande número de arquivos de log. Permite automatização na
rotação, compressão, remoção e envio de mail de arquivos de logs. Cada
arquivo de log pode ser tratado diariamente, semanalmente, mensalmente
ou quanto crescer demais.

%description -l ru.UTF-8
Logrotate предназначен для облегчения администрирования системы,
которая генерирует большое количество файлов с логами. Он позволяет
автоматически ротировать, компрессировать, удалять и посылать файлы с
логами по e-mail. Каждый лог может обрабатываться ежедневно,
еженедельно, ежемесячно или по достижении определенного размера.

%description -l tr.UTF-8
logrotate çok fazla sayıda günlük dosyası üreten sistemlerin
yönetimini kolaylaştırmak için tasarlanmıştır. Kayıt dosyalarının
otomatik olarak yönlendirilmesini, sıkıştırılmasını, silinmesinı ve
mektup olarak yollanmasını sağlar. Her dosya günlük, haftalık, aylık
olarak ya da çok büyük boyutlara ulaştığında işlenebilir.

%description -l uk.UTF-8
Logrotate призначений для полегшення адміністрування системи, яка
генерує велику кількість файлів з логами. Він дозволяє автоматично
ротувати, компресувати, видаляти та посилати поштою лог-файли. Кожен
лог може оброблятися щоденно, щотижня, щомісяця або по досягненні
визначеного розміру.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__make} \
	CC="%{__cc}" \
	RPM_OPT_FLAGS="%{rpmcflags}" \
	WITH_ACL=%{?with_acl:yes}%{!?with_acl:no} \
	WITH_SELINUX=%{?with_selinux:yes}%{!?with_selinux:no} \
	STATEFILE="%{statdir}/logrotate.status"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/{cron.daily,logrotate.d,sysconfig} \
	$RPM_BUILD_ROOT{%{_mandir},%{statdir}}

%{__make} install \
	BINDIR=$RPM_BUILD_ROOT%{_sbindir} \
	MANDIR=$RPM_BUILD_ROOT%{_mandir}

cp -p %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.conf
cp -p %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/logrotate
install -p examples/logrotate.cron $RPM_BUILD_ROOT/etc/cron.daily/logrotate
> $RPM_BUILD_ROOT%{statdir}/logrotate.status

%clean
rm -rf $RPM_BUILD_ROOT

%triggerpostun -- %{name} < 3.7.8-4
%{__sed} -i -e 's,olddir /var/log/archiv$,olddir /var/log/archive,' %{_sysconfdir}/logrotate.conf %{_sysconfdir}/logrotate.d/* || :

%post
if [ -f /var/lib/logrotate.status ]; then
	mv -f /var/lib/logrotate.status %{statdir}/logrotate.status
else
	touch %{statdir}/logrotate.status
	chmod 000 %{statdir}/logrotate.status
	chown root:root %{statdir}/logrotate.status
	chmod 640 %{statdir}/logrotate.status
fi

%files
%defattr(644,root,root,755)
%doc CHANGES
%attr(755,root,root) %{_sbindir}/logrotate
%attr(750,root,root) /etc/cron.daily/logrotate
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/*.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/%{name}
%attr(640,root,root) %ghost %{statdir}/logrotate.status
%{_mandir}/man5/logrotate.conf.5*
%{_mandir}/man8/logrotate.8*
%changelog
* Fri Oct 05 2012 Jakub Bogusz <qboosh@pld-linux.org> 04d0376
- updated to 3.8.3
- adjusted man patch

* Sun Mar 11 2012 Jan Rękorajski <baggins@pld-linux.org> 9c943b7
- rel 5
- don't send meaningless, reduntant, useless mails by default

* Thu Mar 08 2012 Elan Ruusamäe <glen@pld-linux.org> cee13d6
- add .cvsignore to tabooext

* Sun Feb 19 2012 Jan Rękorajski <baggins@pld-linux.org> 28e61ce
- rel 3
- do not redirect logrotate errors to /dev/null

* Sun Feb 05 2012 Jan Rękorajski <baggins@pld-linux.org> b3a5c23
- rel 2
- require filesystem with accessible /var/log/archive

* Sun Sep 04 2011 Łukasz Kieś <kiesiu@pld-linux.org> ec1c64d
- updated to 3.8.1

* Sat Jun 25 2011 Jakub Bogusz <qboosh@pld-linux.org> c1a84c5
- enabled acl support (with bcond)
- added more CVE notes to previous commit log

* Fri Jun 24 2011 marti <marti@pld-linux.org> 2b18d9f
- up to 3.8.0
- resolves CVE-2011-1098 (Race condition in the createOutputFile function)
  [and: CVE-2011-1154, CVE-2011-1155]

* Mon Jul 12 2010 Elan Ruusamäe <glen@pld-linux.org> 4ec7f55
- up to 3.7.9

* Tue Apr 20 2010 Elan Ruusamäe <glen@pld-linux.org> 4d0bc79
- move /var/log/archive to filesystem, rel 8
- (pretrans for archiv rename dropped from here, move it to filesystem as well or just forget it?)

* Tue Feb 02 2010 Elan Ruusamäe <glen@pld-linux.org> 8bb9e3b
- release 7

* Thu Jan 07 2010 Elan Ruusamäe <glen@pld-linux.org> 2ba54a5
- like crond, do not require mail sending tool, works ok without any MTA (+1 from hawk); rel 6

* Mon Nov 30 2009 Elan Ruusamäe <glen@pld-linux.org> b2b426c
- release 5

* Fri Nov 06 2009 Elan Ruusamäe <glen@pld-linux.org> 82be549
- so do the subst too finally; rel 4

* Thu Oct 08 2009 Jan Rękorajski <baggins@pld-linux.org> a8c5892
- rel 3
- kill /var/log/archiv symlink, it's been 4 (FOUR) years since the change

* Thu Mar 19 2009 Elan Ruusamäe <glen@pld-linux.org> e3a1a7a
- /etc/logrotate.d moved to filesystem (logrotate is not requirement for functional system)

* Tue Feb 03 2009 Jakub Bogusz <qboosh@pld-linux.org> 736e97b
- man patch is back (only small part was obsolete)

* Tue Feb 03 2009 Jakub Bogusz <qboosh@pld-linux.org> 067800d
- updated for 3.7.8

* Wed Jan 28 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 9361faf
- up to 3.7.8

* Wed Jan 28 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 3ce0a7f
- increase backlog a bit (10 weeks).

